Subject: bug#69008: closed (Re: bug#69008: 29.2; Emacs 29.2 crashes when load-library a .dylib on MacOS Sonoma 14.3.1)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 10 Feb 2024 11:07:01 +0000

Your bug report

#69008: 29.2; Emacs 29.2 crashes when load-library a .dylib on MacOS Sonoma  14.3.1

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69008: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69008
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69008: 29.2; Emacs 29.2 crashes when load-library a .dylib on MacOS Sonoma 14.3.1
From: Marco Antoniotti <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sat, 10 Feb 2024 12:06:17 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Thank you!

Yep.  Close the bug.

MA

On Sat, Feb 10, 2024 at 11:58 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Marco Antoniotti <[email-masked]>
> > Date: Sat, 10 Feb 2024 11:42:56 +0100
> > Cc: [email-masked]
> >
> > Hmmmm.
> >
> > Let me try.  I don't like to intermix declarations and code, but I can
> see how the compiler may "optimize"
> > things.
> >
> > Yep.  That was it.  You can see the new code in the repo.
>
> OK, thanks.  I'm therefore closing the bug.
>

Subject: 29.2; Emacs 29.2 crashes when load-library a .dylib on MacOS Sonoma 14.3.1
From: Marco Antoniotti <[email-masked]>
To: [email-masked]
Date: Fri, 9 Feb 2024 23:23:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I just tried M-x load-library on a .dylib I created to test the
module/extension writing facility.  The library is very simple and
follows the example in the documentation.

Sorry, EMacs just crashed and I don't know what other info to send you.

In GNU Emacs 29.2 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60
Version 10.14.6 (Build 18G9323)) of 2024-01-18 built on
builder10-14.lan
Windowing system distributor 'Apple', version 10.3.2487
System Description:  macOS 14.3.1

Configured using:
'configure --with-ns '--enable-locallisppath=/Library/Application
Support/Emacs/${version}/site-lisp:/Library/Application
Support/Emacs/site-lisp' --with-modules 'CFLAGS=-DFD_SETSIZE=10000
-DDARWIN_UNLIMITED_SELECT' --with-x-toolkit=no'

Configured features:
ACL GLIB GMP GNUTLS JPEG JSON LIBXML2 MODULES NOTIFY KQUEUE NS PDUMPER
PNG RSVG SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/Users/marcoxa/.emacs.d/elpa/jsonrpc-1.0.24/jsonrpc hides /Applications/Emacs.app/Contents/Resources/lisp/jsonrpc
/Users/marcoxa/.emacs.d/elpa/use-package-20230426.2324/use-package-jump hides /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package-jump
/Users/marcoxa/.emacs.d/elpa/use-package-20230426.2324/use-package-ensure hides /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package-ensure
/Users/marcoxa/.emacs.d/elpa/use-package-20230426.2324/use-package-core hides /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package-core
/Users/marcoxa/.emacs.d/elpa/use-package-20230426.2324/use-package-delight hides /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package-delight
/Users/marcoxa/.emacs.d/elpa/use-package-20230426.2324/use-package-diminish hides /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package-diminish
/Users/marcoxa/.emacs.d/elpa/use-package-20230426.2324/use-package hides /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package
/Users/marcoxa/.emacs.d/elpa/use-package-20230426.2324/use-package-bind-key hides /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package-bind-key
/Users/marcoxa/.emacs.d/elpa/bind-key-20230203.2004/bind-key hides /Applications/Emacs.app/Contents/Resources/lisp/use-package/bind-key
/Users/marcoxa/.emacs.d/elpa/use-package-20230426.2324/use-package-lint hides /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package-lint
/Users/marcoxa/.emacs.d/elpa/project-0.10.0/project hides /Applications/Emacs.app/Contents/Resources/lisp/progmodes/project
/Users/marcoxa/.emacs.d/elpa/eglot-1.17/eglot hides /Applications/Emacs.app/Contents/Resources/lisp/progmodes/eglot
/Users/marcoxa/.emacs.d/elpa/eldoc-1.15.0/eldoc hides /Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/eldoc

Features:
(shadow sort mail-extr emacsbug message yank-media puny dired
dired-loaddefs rfc822 mml mml-sec epa epg rfc6068 epg-config gnus-util
text-property-search mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils time-date wheatgrass-theme iron-main
pl1-mode hlasm-mode jcl-poly-mode use-package-ensure use-package-core
polymode poly-lock polymode-base polymode-weave polymode-export
polymode-compat advice polymode-methods polymode-core format-spec
polymode-classes eieio-custom eieio-base color jcl-mode iron-main-mode
easy-mmode iron-main-epf derived iron-main-hercules-cmds
iron-main-jcl-templates cl-extra help-mode iron-main-utils
iron-main-session iron-main-ruler-function iron-main-widgets
iron-main-vars wid-edit desktop frameset ruler-mode sgml-mode facemenu
dom erlang-start fortress-mode scala-mode-auto finder-inf
ada-mode-autoloads ada-ref-man-autoloads auctex-autoloads tex-site
auto-complete-autoloads cmake-font-lock-autoloads cmake-ide-autoloads
cmake-mode-autoloads cmake-project-autoloads csv-mode-autoloads
eglot-autoloads eldoc-autoloads ess-autoloads evil-autoloads
flycheck-autoloads gnat-compiler-autoloads haskell-mode-autoloads
inspector-autoloads jsonrpc-autoloads julia-mode-autoloads
julia-repl-autoloads julia-vterm-autoloads levenshtein-autoloads
markdown-mode-autoloads mimetypes-autoloads popup-autoloads
project-autoloads rust-mode-autoloads slime-repl-ansi-color-autoloads
slime-autoloads macrostep-autoloads slime-theme-autoloads
sml-basis-autoloads mode-icons-autoloads toml-autoloads
toml-mode-autoloads treemacs-all-the-icons-autoloads
all-the-icons-autoloads treemacs-tab-bar-autoloads treemacs-autoloads
cfrs-autoloads posframe-autoloads ht-autoloads hydra-autoloads
lv-autoloads pfuture-autoloads ace-window-autoloads avy-autoloads
dash-autoloads tuareg-autoloads rx caml-autoloads
uniquify-files-autoloads vterm-autoloads info wisi-autoloads package
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie generate-lisp-file url-domsuf url-util mailcap url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs password-cache
json subr-x map byte-opt gv bytecomp byte-compile url-vars cl-loaddefs
cl-lib rmc iso-transl tooltip cconv eldoc paren electric uniquify
ediff-hook vc-hooks lisp-float-type elisp-mode mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads kqueue cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 139728 8535)
(symbols 48 12516 0)
(strings 32 43083 1960)
(string-bytes 1 1318196)
(vectors 16 21916)
(vector-slots 8 303874 7285)
(floats 8 134 13)
(intervals 56 460 0)
(buffers 984 12))